groovy.lang

## Class Tuple16<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - groovy.lang.Tuple
      - - groovy.lang.Tuple16<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16>

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable, Iterable, Collection, List

      public final class Tuple16<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16>
      extends Tuple

  Represents a list of 16 typed Objects.
  Since:
    3.0.0
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tuple16(T1 v1, T2 v2, T3 v3, T4 v4, T5 v5, T6 v6, T7 v7, T8 v8, T9 v9, T10 v10, T11 v11, T12 v12, T13 v13, T14 v14, T15 v15, T16 v16)`
    `Tuple16(Tuple16<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16> tuple)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tuple16<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16>` | `clone()`
    `T1` | `getV1()`
    `T10` | `getV10()`
    `T11` | `getV11()`
    `T12` | `getV12()`
    `T13` | `getV13()`
    `T14` | `getV14()`
    `T15` | `getV15()`
    `T16` | `getV16()`
    `T2` | `getV2()`
    `T3` | `getV3()`
    `T4` | `getV4()`
    `T5` | `getV5()`
    `T6` | `getV6()`
    `T7` | `getV7()`
    `T8` | `getV8()`
    `T9` | `getV9()`

    - ### Methods inherited from class groovy.lang.Tuple

      `compareTo, equals, get, hashCode, size, subList, subTuple, toArray, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple`

    - ### Methods inherited from class java.util.AbstractList

      `add, add, addAll, clear, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### Tuple16

          public Tuple16(T1 v1,
                         T2 v2,
                         T3 v3,
                         T4 v4,
                         T5 v5,
                         T6 v6,
                         T7 v7,
                         T8 v8,
                         T9 v9,
                         T10 v10,
                         T11 v11,
                         T12 v12,
                         T13 v13,
                         T14 v14,
                         T15 v15,
                         T16 v16)

    - #### Tuple16

          public Tuple16(Tuple16<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16> tuple)

  - ### Method Detail

    - #### getV1

          public T1 getV1()

    - #### getV2

          public T2 getV2()

    - #### getV3

          public T3 getV3()

    - #### getV4

          public T4 getV4()

    - #### getV5

          public T5 getV5()

    - #### getV6

          public T6 getV6()

    - #### getV7

          public T7 getV7()

    - #### getV8

          public T8 getV8()

    - #### getV9

          public T9 getV9()

    - #### getV10

          public T10 getV10()

    - #### getV11

          public T11 getV11()

    - #### getV12

          public T12 getV12()

    - #### getV13

          public T13 getV13()

    - #### getV14

          public T14 getV14()

    - #### getV15

          public T15 getV15()

    - #### getV16

          public T16 getV16()

    - #### clone

          public Tuple16<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16> clone()

      Overrides:
        `clone` in class `Tuple`